#include "Oscar97Event.h"


ClassImp(Oscar97Event)


//_________________
Oscar97Event::Oscar97Event() :
mEventNumber(0), mNTracks(0), mImpactPar(0.), 
  mEventPlaneRot(0.) {
  mTrack = new TClonesArray("Oscar97Track", 1500);
}


//_________________
Oscar97Event::~Oscar97Event() {
  if (mTrack) {
    delete mTrack;
    mTrack = 0;
  }
}


//_________________
Oscar97Event &Oscar97Event::operator=(const Oscar97Event &event) {
  if (this != &event) {
    mEventNumber = event.mEventNumber;
    mNTracks = event.mNTracks;
    mImpactPar = event.mImpactPar;
    mEventPlaneRot = event.mEventPlaneRot;

    mTrack = event.mTrack;
  }

  return *this;
}


//_________________
Oscar97Track *Oscar97Event::AddTrack(Int_t trackNum) {
  //
  // Add a new track
  //
  return new ((*mTrack)[trackNum]) Oscar97Track;
}



//_________________
void Oscar97Event::Clear(Option_t* option) {
  mEventNumber = 0;
  mNTracks = 0;
  mImpactPar = 0.;
  mEventPlaneRot = 0.;
  mTrack->Delete();
}
